Bug 1485348 (CVE-2017-13694)

Summary: CVE-2017-13694 kernel: ACPI node and node_ext cache leak
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, ahs3+donotuse, ahs3, airlied, ajax, aquini, bhu, blc, bskeggs, dhoward, dnelson, eparis, esammons, esandeen, fhrbata, hdegoede, hkrzesin, hwkernel-mgr, iboverma, ichavero, itamar, jarodwilson, jforbes, jglisse, jkacur, jonathan, josef, jross, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, linville, lwang, matt, m.a.young, mchehab, mcressma, mguzik, mjg59, mlangsdo, nhorman, nmurray, pholasek, plougher, quintela, rt-maint, rvrbovsk, slawomir, williams, wmealing
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
The ACPI parsing functionality in the Linux kernel does not flush the node and node_ext caches which causes a kernel stack dump. This allows local users to obtain sensitive information from kernel memory and use this information to bypass the KASLR protection mechanism by creating and applying crafted ACPI table.
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-15 11:54:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1485355, 1485356, 1489241, 1489242, 1489243    
Bug Blocks: 1485353    

Description Adam Mariš 2017-08-25 12:59:31 UTC
The acpi_ps_complete_final_op() function in drivers/acpi/acpica/psobject.c in the Linux kernel does not flush the node and node_ext caches and causes a kernel stack dump, which allows local users to obtain sensitive information from kernel
memory and use this information to bypass the KASLR protection mechanism via a crafted ACPI table.

Upstream fix:

https://github.com/acpica/acpica/pull/278/commits/4a0243ecb4c94e2d73510d096c5ea4d0711fc6c0
https://patchwork.kernel.org/patch/9806085/

Comment 1 Adam Mariš 2017-08-25 13:05:58 UTC
Created acpica-tools tracking bugs for this issue:

Affects: fedora-all [bug 1485355]


Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1485356]

Comment 4 Wade Mealing 2017-09-07 03:25:02 UTC
Statement:

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/

The Red Hat Security Response Team has rated this issue as having moderate security impact.

The risks associated with fixing this bug are greater than the moderate severity security risk. We therefore currently have no plans to fix this flaw in Red Hat Enterprise Linux 5,6,7 and Red Hat Enterprise MRG.